
%define cvs 20091016cvs

Summary: Basic desktop integration functions
Name:    xdg-utils
Version: 1.0.2
Release: 17.%{cvs}%{?dist}

URL:     http://portland.freedesktop.org/
%if 0%{?cvs:1}
Source0: xdg-utils-%{cvs}.tgz
Source1: xdg-utils-cvs_checkout.sh
%else
Source0: http://portland.freedesktop.org/download/xdg-utils-%{version}%{?beta}.tgz
%endif
License: MIT
Group:   System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

# https://bugzilla.redhat.com/show_bug.cgi?id=598063
Patch0: xdg-utils-wrong-gconftool.patch

Patch1: xdg-utils-1.0.2-htmlview.patch

# xdg-email cannot create attachments for thunderbird
# https://bugzilla.redhat.com/show_bug.cgi?id=659782
Patch2: xdg-utils-1.1.0-thunderbird-attachments.patch

# xdg-email fails to supply To address for Thunderbird
# https://bugzilla.redhat.com/show_bug.cgi?id=659786
Patch3: xdg-utils-1.1.0-thunderbird-to-address.patch
Patch4: xdg-utils-1.1.x-gawk-unicode.patch
Patch5: xdg-utils-1.1.x-thunderbird-unescape.patch
Patch6: xdg-utils-1.1.x-thunderbird-unescape-attachment.patch
Patch7: xdg-utils-1.1.x-thunderbird-double-quotes.patch

## upstream patches
Patch101: xdg-utils-1.0.2-mimeopen.patch
Patch102: xdg-utils-1.0.1-typo.patch
Patch104: xdg-utils-1.0.2-CVE-2008-0386.patch

BuildRequires: gawk
BuildRequires: xmlto

Requires: coreutils
Requires: desktop-file-utils
Requires: which


%description
The %{name} package is a set of simple scripts that provide basic
desktop integration functions for any Free Desktop, such as Linux.
They are intended to provide a set of defacto standards.  
This means that:
*  Third party software developers can rely on these xdg-utils
   for all of their simple integration needs.
*  Developers of desktop environments can make sure that their
   environments are well supported
*  Distribution vendors can provide custom versions of these utilities

The following scripts are provided at this time:
* xdg-desktop-menu      Install desktop menu items
* xdg-desktop-icon      Install icons to the desktop
* xdg-icon-resource     Install icon resources
* xdg-mime              Query information about file type handling and
                        install descriptions for new file types
* xdg-open              Open a file or URL in the user's preferred application
* xdg-email             Send mail using the user's preferred e-mail composer
* xdg-screensaver       Control the screensaver


%prep
#setup -q -n %{name}-%{version}%{?beta}
%setup -q -n %{name}
%patch0 -p1 -b .wrong-gconftool
%patch1 -p1 -b .htmlview
%patch2 -p1 -b .thunderbird-attachments
%patch3 -p1 -b .thunderbird-to-address
%patch4 -p1 -b .gawk-unicode
%patch5 -p1 -b .thunderbird-unescape
%patch6 -p1 -b .thunderbird-unescape-attachment
%patch7 -p1 -b .thunderbird-double-quotes

%if ! 0%{?cvs:1}
%patch101 -p1 -b .mimeopen
%patch102 -p1 -b .typo
%patch104 -p1 -b .CVE-2008-0386
%endif%


%build
%configure

make %{?_smp_mflags}
# regenerate scripts
for i in scripts/xdg-*.in; do rm -f ${i%.in}; done
make -C scripts scripts


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README TODO
%{_bindir}/xdg-*
%{_mandir}/man1/xdg-*


%clean
rm -rf %{buildroot}



%changelog

